import processing.serial.*; //import the library for a serial communication 

Serial myPort;             // define name of the serial communication

PImage bg;                 //Background image.Declare variable "bg of type PImage

void setup(){
  size(550, 844);
  bg = loadImage("redLED.png");
  
  myPort = new Serial(this, "/dev/cu.usbmodem1101", 9600); // defines this port as whatever in the middle is,
  // sends a frequency of 9600 signal to Arduino/ 
}

void draw(){
  background(bg);
  
  if (mousePressed && (mouseButton == LEFT)){
    myPort.write('1');
  }
  if (mousePressed && (mouseButton == RIGHT)){
    myPort.write('0');
  }
  
 }
